org.jfree.util

## Class PaintList

- java.lang.Object
- - org.jfree.util.AbstractObjectList
  - - org.jfree.util.PaintList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class PaintList
      extends AbstractObjectList

  A table of `Paint` objects.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jfree.util.AbstractObjectList

      `DEFAULT_INITIAL_CAPACITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaintList()` Creates a new list.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Tests the list for equality with another object (typically also a list).
    `java.awt.Paint` | `getPaint(int index)` Returns a `Paint` object from the list.
    `int` | `hashCode()` Returns a hash code value for the object.
    `void` | `setPaint(int index, java.awt.Paint paint)` Sets the `Paint` for an item in the list.

    - ### Methods inherited from class org.jfree.util.AbstractObjectList

      `clear, clone, get, indexOf, set, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PaintList

          public PaintList()

      Creates a new list.

  - ### Method Detail

    - #### getPaint

          public java.awt.Paint getPaint(int index)

      Returns a `Paint` object from the list.
      Parameters:
        `index` - the index (zero-based).
      Returns:
        The object.

    - #### setPaint

          public void setPaint(int index,
                               java.awt.Paint paint)

      Sets the `Paint` for an item in the list. The list is expanded if necessary.
      Parameters:
        `index` - the index (zero-based).
        `paint` - the `Paint`.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests the list for equality with another object (typically also a list).
      Overrides:
        `equals` in class `AbstractObjectList`
      Parameters:
        `obj` - the other object (`null` permitted).
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the object.
      Overrides:
        `hashCode` in class `AbstractObjectList`
      Returns:
        the hashcode